This week's giveaway is in the Android forum.
We're giving away four copies of Android Security Essentials Live Lessons and have Godfrey Nolan on-line!
See this thread for details.
The moose likes Servlets and the fly likes Errors after Upgrade to SP4 with Weblogic 6.1 Big Moose Saloon
  Search | Java FAQ | Recent Topics | Flagged Topics | Hot Topics | Zero Replies
Register / Login


Win a copy of Android Security Essentials Live Lessons this week in the Android forum!
JavaRanch » Java Forums » Java » Servlets
Bookmark "Errors after Upgrade to SP4 with Weblogic 6.1" Watch "Errors after Upgrade to SP4 with Weblogic 6.1" New topic
Author

Errors after Upgrade to SP4 with Weblogic 6.1

Vikram Pandey
Greenhorn

Joined: Apr 24, 2003
Posts: 2
I am getting the following exception while strarting the weblogic,after upgrading to SP4.
There is a mismatch between the bean code and generated code.csBeans.NewCustomerConvHome . Please rerun ejbc on the bean code.The error was java.lang.NoSuchFieldException
at java.lang.Class.getField0(Native Method)
at java.lang.Class.getDeclaredField(Class.java:1108)
at weblogic.ejb20.deployer.ClientDrivenBeanInfoImpl.setMDField(ClientDrivenBeanInfoImpl.java:651)
at weblogic.ejb20.deployer.ClientDrivenBeanInfoImpl.setMethodDescriptors(ClientDrivenBeanInfoImpl.java:723)
at weblogic.ejb20.deployer.ClientDrivenBeanInfoImpl.deploy(ClientDrivenBeanInfoImpl.java:823)
at weblogic.ejb20.deployer.Deployer.deployDescriptor(Deployer.java:1299)
at weblogic.ejb20.deployer.Deployer.deploy(Deployer.java:1005)
at weblogic.j2ee.EJBComponent.deploy(EJBComponent.java:33)
at weblogic.j2ee.Application.addComponent(Application.java:174)
at weblogic.j2ee.J2EEService.addDeployment(J2EEService.java:117)
at weblogic.management.mbeans.custom.DeploymentTarget.addDeployment
Chris Smith
Ranch Hand

Joined: May 03, 2002
Posts: 42
This is not really a servlet problem. It's an EJB problem. You probably want to ask in a more appropriate forum.
 
I agree. Here's the link: http://aspose.com/file-tools
 
subject: Errors after Upgrade to SP4 with Weblogic 6.1
 
Similar Threads
Weblogic Integration Migration from 2.1sp1 to 2.1sp2
WebLogic 8.1
Error after Upgrading to SP4 on weblogic 6.1
Error deploying EJB application
Exception while EJB deployement